Subject: bug#73827: closed (Re: bug#73827: [ELPA] [PATCH] register-list fails on "Unprintable entity" registers)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Feb 2025 10:24:03 +0000

Your bug report

#73827: [ELPA] [PATCH] register-list fails on "Unprintable entity" registers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73827: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73827
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73827: [ELPA] [PATCH] register-list fails on "Unprintable entity" registers
From: Stefan Kangas <[email-masked]>
To: Jeremy Bryant <[email-masked]>
Cc: Philip Kaludercic <[email-masked]>, [email-masked], Stefan Monnier <[email-masked]>, Alex Bochannek <[email-masked]>
Date: Thu, 13 Feb 2025 02:23:02 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Jeremy Bryant <[email-masked]> writes:
>
>> Alex Bochannek <[email-masked]> writes:
>>
>>> Anything else that's needed from me here? I have another trivial fix for
>>> register-list I would like to submit.
>>
>> Thanks alex for your contribution.
>>
>> Adding Philip, any comments or suggestions on this short ELPA patch?
>
> Ping, Philip and/or Stefan M.

Actually, the patch was quite trivial, and there was already an LGTM, so
I went ahead and pushed it.

Feel free to revert, and so on.  Boldly closing this bug report.

Thanks Alex, for your contribution to Emacs.

Subject: [ELPA] [PATCH] register-list fails on "Unprintable entity" registers
From: Alex Bochannek <[email-masked]>
To: [email-masked]
Date: Tue, 15 Oct 2024 16:14:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I have not submitted patches against an ELPA package before, so I hope
this format is OK. I tried to follow the instruction on pulling ELPA
from Git, but the make step failed for me.

The register-list mode throws an error on start-up when there are
unknown register types in the register-alist. This can happen with
window configurations and saved session state after a restart. The
reason for this is a simple line flip in the register-list-get-type
function.

--- /Users/awb/.emacs.d/elpa/register-list-0.1/register-list.el.~1~	2023-01-10 19:36:23
+++ /Users/awb/.emacs.d/elpa/register-list-0.1/register-list.el	2024-10-15 15:49:37
@@ -483,8 +483,8 @@
 	    (t "error"))
     (cond ((window-configuration-p (car key)) "W")
 	  ((frame-configuration-p (car key)) "F")
-	  ((stringp (car key)) "R")
 	  ((string= "Unprintable entity" (car key)) "?")
+	  ((stringp (car key)) "R")
 	  (t "error"))))
 
 ;;; Edit key/value of the register

Apologies again for the format of this submission. If someone could
point me at instructions for how to make your life easier next time, I'd
appreciate it.

Thanks!

-- 
Alex.